Package org.eclipse.m2m.atl.emftvm.impl

# Class RuleImpl.WithApplierWithPostApplyCbState

java.lang.Object
org.eclipse.m2m.atl.emftvm.impl.RuleImpl.ApplierCbState
org.eclipse.m2m.atl.emftvm.impl.RuleImpl.WithApplierWithPostApplyCbState

Enclosing class:
  RuleImpl

protected class RuleImpl.WithApplierWithPostApplyCbState extends RuleImpl.ApplierCbState
`RuleImpl.ApplierCbState` class for rules that have a `Rule.getApplier()` code block as well as a `Rule.getPostApply()` code block.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`WithApplierWithPostApplyCbState()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`applyFor(StackFrame frame, TraceLink trace)`
Applies this rule for the given `trace`.
`Object`
`postApplyFor(StackFrame frame, TraceLink trace)`
Post-applies this rule for the given `trace`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WithApplierWithPostApplyCbState

protected WithApplierWithPostApplyCbState()

## Method Details

### applyFor

public Object applyFor(StackFrame frame, TraceLink trace)
Applies this rule for the given `trace`.

Specified by:
  `applyFor` in class `RuleImpl.ApplierCbState`
Parameters:
  `frame` - the stack frame context
  `trace` - the trace link to apply the rule for
Returns:
  the application result

### postApplyFor

public Object postApplyFor(StackFrame frame, TraceLink trace)
Post-applies this rule for the given `trace`.

Specified by:
  `postApplyFor` in class `RuleImpl.ApplierCbState`
Parameters:
  `frame` - the stack frame context
  `trace` - the trace link to postApply the rule for
Returns:
  the application result